Get current billing period usage

GET
/v1/usage

Authorization

AuthorizationRequiredBearer <token>

API key. Manage keys from the dashboard at app.bytekit.com.

In: header

curl https://api.bytekit.com \
  -H "Authorization: Bearer sk_live_your_api_key_here"

Period summary. In bytes or dual billing mode, includes byte fields and structured bandwidth/credits objects.

{
  "period_start": "2019-08-24T14:15:22Z",
  "period_end": "2019-08-24T14:15:22Z",
  "credits_used": 0,
  "credits_single": 0,
  "credits_bulk": 0,
  "credits_monitor": 0,
  "credits_search": 0,
  "credits_limit": 0,
  "credits_remaining": 0,
  "has_overage": true,
  "overage_credits": 0,
  "plan_name": "string",
  "plan_price_cents": 0,
  "plan_type": "payg",
  "topup_spent_cents": 0,
  "topup_balance_bytes": 0,
  "period_days_elapsed": 0,
  "bytes_used": 0,
  "bytes_single": 0,
  "bytes_bulk": 0,
  "bytes_scrape": 0,
  "bytes_monitor": 0,
  "bytes_limit": 0,
  "bytes_remaining": 0,
  "rollover_bytes": 0,
  "topup_bytes": 0,
  "request_count": 0,
  "request_count_previous_period": 0,
  "playground_api_key_id": "string",
  "bandwidth": {
    "used_bytes": 0,
    "limit_bytes": 0,
    "remaining_bytes": 0,
    "topup_bytes": 0,
    "rollover_bytes": 0
  },
  "credits": {
    "used": 0,
    "limit": 0,
    "remaining": 0,
    "topup_credits": 0,
    "rollover_credits": 0
  }
}